[Libreoffice-commits] core.git: 5 commits - bin/update_pch.sh connectivity/Library_dbtools.mk connectivity/source oox/inc sc/inc solenv/bin svx/inc svx/source sw/inc xmloff/source

Peter Foley pefoley2 at verizon.net
Fri Mar 15 18:19:56 PDT 2013


 bin/update_pch.sh                                      |  162 +++++++++++++++++
 connectivity/Library_dbtools.mk                        |   10 -
 connectivity/source/parse/sqlbison.y                   |    4 
 connectivity/source/parse/sqlflex.l                    |    3 
 oox/inc/pch/precompiled_oox.hxx                        |    3 
 sc/inc/pch/precompiled_sc.hxx                          |   11 +
 solenv/bin/update_pch.sh                               |  162 -----------------
 svx/inc/pch/precompiled_svx.hxx                        |    1 
 svx/inc/pch/precompiled_svxcore.hxx                    |    5 
 svx/inc/svx/AccessibleTextHelper.hxx                   |    4 
 svx/source/accessibility/AccessibleEmptyEditSource.hxx |    2 
 svx/source/table/accessiblecell.cxx                    |    2 
 sw/inc/pch/precompiled_msword.hxx                      |    1 
 xmloff/source/text/XMLIndexTOCSourceContext.cxx        |    2 
 xmloff/source/text/XMLIndexTemplateContext.cxx         |    2 
 xmloff/source/text/XMLIndexTemplateContext.hxx         |    2 
 xmloff/source/text/XMLIndexUserSourceContext.cxx       |    2 
 17 files changed, 202 insertions(+), 176 deletions(-)

New commits:
commit e8620b247dcba55f67ad7eaf63cfe5ac3831b187
Author: Peter Foley <pefoley2 at verizon.net>
Date:   Fri Mar 15 21:16:34 2013 -0400

    fix conflicting types found by lto
    
    Change-Id: Icd1b5756e43aa17d8329d124765d75a4bbfaf327

diff --git a/xmloff/source/text/XMLIndexTOCSourceContext.cxx b/xmloff/source/text/XMLIndexTOCSourceContext.cxx
index b1399d7..98ce765 100644
--- a/xmloff/source/text/XMLIndexTOCSourceContext.cxx
+++ b/xmloff/source/text/XMLIndexTOCSourceContext.cxx
@@ -169,7 +169,7 @@ SvXMLImportContext* XMLIndexTOCSourceContext::CreateChildContext(
     {
         return new XMLIndexTemplateContext(GetImport(), rIndexPropertySet,
                                            nPrefix, rLocalName,
-                                           aLevelNameTOCMap,
+                                           aSvLevelNameTOCMap,
                                            XML_OUTLINE_LEVEL,
                                            aLevelStylePropNameTOCMap,
                                            aAllowedTokenTypesTOC, sal_True );
diff --git a/xmloff/source/text/XMLIndexTemplateContext.cxx b/xmloff/source/text/XMLIndexTemplateContext.cxx
index b57698c..ec7eac4 100644
--- a/xmloff/source/text/XMLIndexTemplateContext.cxx
+++ b/xmloff/source/text/XMLIndexTemplateContext.cxx
@@ -341,7 +341,7 @@ SvXMLImportContext *XMLIndexTemplateContext::CreateChildContext(
 
 // table of content and user defined index:
 
-const SvXMLEnumMapEntry aLevelNameTOCMap[] =
+const SvXMLEnumMapEntry aSvLevelNameTOCMap[] =
 {
     { XML_1, 1 },
     { XML_2, 2 },
diff --git a/xmloff/source/text/XMLIndexTemplateContext.hxx b/xmloff/source/text/XMLIndexTemplateContext.hxx
index 3227c11..079da8b 100644
--- a/xmloff/source/text/XMLIndexTemplateContext.hxx
+++ b/xmloff/source/text/XMLIndexTemplateContext.hxx
@@ -40,7 +40,7 @@ struct SvXMLEnumMapEntry;
 // constants for the XMLIndexTemplateContext constructor
 
 // TOC and user defined index:
-extern const SvXMLEnumMapEntry aLevelNameTOCMap[];
+extern const SvXMLEnumMapEntry aSvLevelNameTOCMap[];
 extern const sal_Char* aLevelStylePropNameTOCMap[];
 extern const sal_Bool aAllowedTokenTypesTOC[];
 extern const sal_Bool aAllowedTokenTypesUser[];
diff --git a/xmloff/source/text/XMLIndexUserSourceContext.cxx b/xmloff/source/text/XMLIndexUserSourceContext.cxx
index ff2409a..09ff595 100644
--- a/xmloff/source/text/XMLIndexUserSourceContext.cxx
+++ b/xmloff/source/text/XMLIndexUserSourceContext.cxx
@@ -198,7 +198,7 @@ SvXMLImportContext* XMLIndexUserSourceContext::CreateChildContext(
     {
         return new XMLIndexTemplateContext(GetImport(), rIndexPropertySet,
                                            nPrefix, rLocalName,
-                                           aLevelNameTOCMap,
+                                           aSvLevelNameTOCMap,
                                            XML_OUTLINE_LEVEL,
                                            aLevelStylePropNameTOCMap,
                                            aAllowedTokenTypesUser);
commit b659d7c33fcacdbbef86557e78f071abf94bead2
Author: Peter Foley <pefoley2 at verizon.net>
Date:   Fri Mar 15 21:08:18 2013 -0400

    cleanup sqlflex and sqlbison options
    
    Change-Id: I3f01636ef861828fdbe87e4057b6dc293ca63576

diff --git a/connectivity/Library_dbtools.mk b/connectivity/Library_dbtools.mk
index 1e063ea..4228eb9 100644
--- a/connectivity/Library_dbtools.mk
+++ b/connectivity/Library_dbtools.mk
@@ -66,8 +66,6 @@ $(eval $(call gb_Library_use_libraries,dbtools,\
 ))
 endif
 
-#connectivity/source/commontools/RowFunctionParser.cxx disable optimization?
-
 $(eval $(call gb_Library_add_noexception_objects,dbtools,\
 	connectivity/source/simpledbt/refbase \
 ))
@@ -76,16 +74,10 @@ $(eval $(call gb_Library_add_grammars,dbtools,\
 	connectivity/source/parse/sqlbison \
 ))
 
-$(call gb_YaccTarget_get_target,connectivity/source/parse/sqlbison) : T_YACCFLAGS := -d -l -pSQLyy -bsql
-
 $(eval $(call gb_Library_add_scanners,dbtools,\
-connectivity/source/parse/sqlflex \
+	connectivity/source/parse/sqlflex \
 ))
 
-$(call gb_LexTarget_get_scanner_target,connectivity/source/parse/sqlflex) : T_LEXFLAGS := -i -8 -PSQLyy -L
-
-
-
 $(eval $(call gb_Library_add_exception_objects,dbtools,\
 	connectivity/source/commontools/AutoRetrievingBase \
 	connectivity/source/commontools/BlobHelper \
diff --git a/connectivity/source/parse/sqlbison.y b/connectivity/source/parse/sqlbison.y
index 0bb7c31..017428b 100644
--- a/connectivity/source/parse/sqlbison.y
+++ b/connectivity/source/parse/sqlbison.y
@@ -1,4 +1,8 @@
 %token-table
+%defines
+%no-lines
+%define api.prefix SQLyy
+%file-prefix "sql"
 %{
 /*
  * This file is part of the LibreOffice project.
diff --git a/connectivity/source/parse/sqlflex.l b/connectivity/source/parse/sqlflex.l
index d17128e..1ded0e2 100644
--- a/connectivity/source/parse/sqlflex.l
+++ b/connectivity/source/parse/sqlflex.l
@@ -1,3 +1,6 @@
+%option case-insensitive
+%option 8bit
+%option prefix="SQLyy"
 %{
 
 //
commit 1b18d38fc2e82dccc80adebb5fee596d60064f99
Author: Peter Foley <pefoley2 at verizon.net>
Date:   Fri Mar 15 20:32:50 2013 -0400

    regenerate pch
    
    Change-Id: Iaf0195a0c2ec3d6daa1e3c70d20dfa8de97b9647

diff --git a/oox/inc/pch/precompiled_oox.hxx b/oox/inc/pch/precompiled_oox.hxx
index 274a6d3..2010bb6 100644
--- a/oox/inc/pch/precompiled_oox.hxx
+++ b/oox/inc/pch/precompiled_oox.hxx
@@ -228,11 +228,14 @@
 #include <com/sun/star/io/XStream.hpp>
 #include <com/sun/star/io/XTextInputStream2.hpp>
 #include <com/sun/star/lang/DisposedException.hpp>
+#include <com/sun/star/lang/IllegalArgumentException.hpp>
 #include <com/sun/star/lang/Locale.hpp>
 #include <com/sun/star/lang/XComponent.hpp>
 #include <com/sun/star/lang/XInitialization.hpp>
 #include <com/sun/star/lang/XMultiServiceFactory.hpp>
 #include <com/sun/star/lang/XServiceInfo.hpp>
+#include <com/sun/star/office/XAnnotation.hpp>
+#include <com/sun/star/office/XAnnotationAccess.hpp>
 #include <com/sun/star/presentation/AnimationSpeed.hpp>
 #include <com/sun/star/presentation/EffectCommands.hpp>
 #include <com/sun/star/presentation/EffectNodeType.hpp>
diff --git a/sc/inc/pch/precompiled_sc.hxx b/sc/inc/pch/precompiled_sc.hxx
index 2d8dd7c..e6896b0 100644
--- a/sc/inc/pch/precompiled_sc.hxx
+++ b/sc/inc/pch/precompiled_sc.hxx
@@ -196,6 +196,8 @@
 #include <com/sun/star/document/XDocumentEventBroadcaster.hpp>
 #include <com/sun/star/document/XDocumentProperties.hpp>
 #include <com/sun/star/document/XDocumentPropertiesSupplier.hpp>
+#include <com/sun/star/document/XEmbeddedObjectSupplier.hpp>
+#include <com/sun/star/document/XStorageBasedDocument.hpp>
 #include <com/sun/star/drawing/XDrawPageSupplier.hpp>
 #include <com/sun/star/drawing/XDrawPagesSupplier.hpp>
 #include <com/sun/star/drawing/XShape.hpp>
@@ -224,6 +226,7 @@
 #include <com/sun/star/frame/XFrame.hpp>
 #include <com/sun/star/frame/XLayoutManager.hpp>
 #include <com/sun/star/frame/XModel.hpp>
+#include <com/sun/star/frame/XStorable2.hpp>
 #include <com/sun/star/frame/XSynchronousFrameLoader.hpp>
 #include <com/sun/star/i18n/BreakIterator.hpp>
 #include <com/sun/star/i18n/CalendarDisplayIndex.hpp>
@@ -253,6 +256,7 @@
 #include <com/sun/star/lang/XSingleServiceFactory.hpp>
 #include <com/sun/star/linguistic2/XThesaurus.hpp>
 #include <com/sun/star/packages/zip/ZipIOException.hpp>
+#include <com/sun/star/rdf/XDocumentMetadataAccess.hpp>
 #include <com/sun/star/reflection/XIdlClass.hpp>
 #include <com/sun/star/script/ModuleType.hpp>
 #include <com/sun/star/script/ScriptEventDescriptor.hpp>
@@ -394,6 +398,9 @@
 #include <com/sun/star/table/XCell.hpp>
 #include <com/sun/star/table/XCellRange.hpp>
 #include <com/sun/star/table/XColumnRowRange.hpp>
+#include <com/sun/star/table/XTableChart.hpp>
+#include <com/sun/star/table/XTableCharts.hpp>
+#include <com/sun/star/table/XTableChartsSupplier.hpp>
 #include <com/sun/star/task/InteractionClassification.hpp>
 #include <com/sun/star/task/InteractionHandler.hpp>
 #include <com/sun/star/task/XInteractionHandler.hpp>
@@ -411,6 +418,7 @@
 #include <com/sun/star/text/XTextRange.hpp>
 #include <com/sun/star/text/textfield/Type.hpp>
 #include <com/sun/star/ucb/InteractiveAppException.hpp>
+#include <com/sun/star/ucb/InteractiveAugmentedIOException.hpp>
 #include <com/sun/star/ucb/NameClash.hpp>
 #include <com/sun/star/ucb/TransferInfo.hpp>
 #include <com/sun/star/ucb/XCommandEnvironment.hpp>
@@ -457,6 +465,7 @@
 #include <comphelper/accessibleeventnotifier.hxx>
 #include <comphelper/componentcontext.hxx>
 #include <comphelper/docpasswordhelper.hxx>
+#include <comphelper/documentconstants.hxx>
 #include <comphelper/extract.hxx>
 #include <comphelper/genericpropertyset.hxx>
 #include <comphelper/processfactory.hxx>
@@ -588,6 +597,7 @@
 #include <sal/types.h>
 #include <sax/tools/converter.hxx>
 #include <set>
+#include <sfx2/DocumentMetadataAccess.hxx>
 #include <sfx2/app.hxx>
 #include <sfx2/basedlgs.hxx>
 #include <sfx2/bindings.hxx>
@@ -811,7 +821,6 @@
 #include <svx/unoshape.hxx>
 #include <svx/unoshcol.hxx>
 #include <svx/verttexttbxctrl.hxx>
-#include <svx/xbitmap.hxx>
 #include <svx/xbtmpit.hxx>
 #include <svx/xdef.hxx>
 #include <svx/xfillit0.hxx>
diff --git a/svx/inc/pch/precompiled_svx.hxx b/svx/inc/pch/precompiled_svx.hxx
index 720b17e..5033dc0 100644
--- a/svx/inc/pch/precompiled_svx.hxx
+++ b/svx/inc/pch/precompiled_svx.hxx
@@ -388,6 +388,7 @@
 #include <unotools/viewoptions.hxx>
 #include <utility>
 #include <vcl/bitmap.hxx>
+#include <vcl/bmpacc.hxx>
 #include <vcl/builder.hxx>
 #include <vcl/button.hxx>
 #include <vcl/dialog.hxx>
diff --git a/svx/inc/pch/precompiled_svxcore.hxx b/svx/inc/pch/precompiled_svxcore.hxx
index cebf95a..470507c 100644
--- a/svx/inc/pch/precompiled_svxcore.hxx
+++ b/svx/inc/pch/precompiled_svxcore.hxx
@@ -67,6 +67,7 @@
 #include <basegfx/point/b3dpoint.hxx>
 #include <basegfx/polygon/b2dlinegeometry.hxx>
 #include <basegfx/polygon/b2dpolygon.hxx>
+#include <basegfx/polygon/b2dpolygonclipper.hxx>
 #include <basegfx/polygon/b2dpolygontools.hxx>
 #include <basegfx/polygon/b2dpolypolygon.hxx>
 #include <basegfx/polygon/b2dpolypolygoncutter.hxx>
@@ -334,7 +335,9 @@
 #include <drawinglayer/primitive2d/markerarrayprimitive2d.hxx>
 #include <drawinglayer/primitive2d/maskprimitive2d.hxx>
 #include <drawinglayer/primitive2d/mediaprimitive2d.hxx>
+#include <drawinglayer/primitive2d/metafileprimitive2d.hxx>
 #include <drawinglayer/primitive2d/modifiedcolorprimitive2d.hxx>
+#include <drawinglayer/primitive2d/objectinfoprimitive2d.hxx>
 #include <drawinglayer/primitive2d/pagepreviewprimitive2d.hxx>
 #include <drawinglayer/primitive2d/polygonprimitive2d.hxx>
 #include <drawinglayer/primitive2d/polypolygonprimitive2d.hxx>
@@ -591,9 +594,11 @@
 #include <vcl/outdev.hxx>
 #include <vcl/pdfextoutdevdata.hxx>
 #include <vcl/region.hxx>
+#include <vcl/salbtype.hxx>
 #include <vcl/settings.hxx>
 #include <vcl/split.hxx>
 #include <vcl/svapp.hxx>
+#include <vcl/svgdata.hxx>
 #include <vcl/timer.hxx>
 #include <vcl/toolbox.hxx>
 #include <vcl/virdev.hxx>
diff --git a/sw/inc/pch/precompiled_msword.hxx b/sw/inc/pch/precompiled_msword.hxx
index 8e28458..c202b0c 100644
--- a/sw/inc/pch/precompiled_msword.hxx
+++ b/sw/inc/pch/precompiled_msword.hxx
@@ -15,6 +15,7 @@
 */
 
 #include "sal/config.h"
+#include "sal/log.hxx"
 #include "svl/urihelper.hxx"
 #include <algorithm>
 #include <basegfx/point/b2dpoint.hxx>
commit cbd5b85dfa891914f2a799b9206308d02d5e4d52
Author: Peter Foley <pefoley2 at verizon.net>
Date:   Fri Mar 15 19:40:30 2013 -0400

    move update_pch.sh to a more obvious place
    
    Change-Id: I379bfa8a8531c9ebc09d29ac789d70c8c5dafc79

diff --git a/bin/update_pch.sh b/bin/update_pch.sh
new file mode 100755
index 0000000..4d94569
--- /dev/null
+++ b/bin/update_pch.sh
@@ -0,0 +1,162 @@
+#! /bin/bash
+#
+# This file is part of the LibreOffice project.
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+#
+
+# Usage: update_pch.sh [precompiled_xxx.hxx]
+
+root=`dirname $0`
+root=`cd $root/.. && pwd`
+
+if test -z "$1"; then
+    headers=`ls $root/*/inc/pch/precompiled_*.hxx`
+else
+    headers="$1"
+fi
+
+for x in $headers; do
+    header=$x
+    echo updating `echo $header | sed -e s%$root/%%`
+    module=`readlink -f $header | sed -e s%$root/%% -e s%/.*%%`
+    name=`echo $header | sed -e s/.*precompiled_// -e s/\.hxx//`
+    makefile="Library_$name.mk"
+
+    tmpfile=`mktemp`
+
+    cat "$root/$module/$makefile" | sed 's#\\$##' | \
+        (
+        inobjects=
+        ifstack=0
+        while read line ; do
+            if test "$line" = "))" ; then
+                inobjects=
+            elif echo $line | grep -q -e add_exception_objects -e add_noexception_objects -e add_cxxobject -e add_cxxobjects ; then
+                inobjects=1
+                if test $ifstack -ne 0 ; then
+                    echo Sources in a conditional, ignoring for now. >&2
+                fi
+            elif echo $line | grep -q ^if ; then
+                ifstack=$((ifstack + 1))
+            elif echo $line | grep -q ^endif ; then
+                ifstack=$((ifstack - 1))
+            elif test -n "$inobjects" -a $ifstack -eq 0; then
+                file=$line
+                if echo $line | grep -q ", "; then
+                    true # $if() probably, or something similar
+                elif ! test -f "$root/$file".cxx ; then
+                    echo No file $file in $module/$makefile >&2
+                else
+
+function list_file_includes()
+(
+    ifdepth=0
+    # filter out only preprocessor lines, get the first and second "words" after the #,
+    # also replace " with @ (would cause trouble when doing echo of the line)
+    cat "$1" | grep '^\s*#' | sed 's/^\s*#/#/' | sed 's/^\(#\w*\s+\w*\)\s+.*/\1/' | sed 's/"/@/g' | \
+        while read line; do
+            # skip everything surrounded by any #if
+            if echo "$line" | grep -q "#if" ; then
+                ifdepth=$((ifdepth + 1))
+                lastif="$line"
+            elif echo "$line" | grep -q "#endif" ; then
+                ifdepth=$((ifdepth - 1))
+                lastif="#if"
+            elif echo "$line" | grep -q "#include"; then
+                if test $ifdepth -eq 0; then
+                    echo $line | sed 's/@/"/g'
+                else
+                    echo "#include in $lastif : $line" | sed 's/@/"/g' >&2
+                fi
+            fi
+        done
+)
+
+                    list_file_includes "$root/$file".cxx | sed 's/\(#include [<@][^>@]*[>@]\).*/\1/' | sed 's#\.\./##g#' >>$tmpfile
+                fi
+            fi
+        done
+        )
+
+    cat >$header <<EOF
+/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
+/*
+ * This file is part of the LibreOffice project.
+ *
+ * This Source Code Form is subject to the terms of the Mozilla Public
+ * License, v. 2.0. If a copy of the MPL was not distributed with this
+ * file, You can obtain one at http://mozilla.org/MPL/2.0/.
+ */
+
+/*
+ This file has been autogenerated by update_pch.sh . It is possible to edit it
+ manually (such as when an include file has been moved/renamed/removed. All such
+ manual changes will be rewritten by the next run of update_pch.sh (which presumably
+ also fixes all possible problems, so it's usually better to use it).
+*/
+
+EOF
+
+    # Library_svx needs this (sendreportw32.cxx)
+    if test "$makefile" = Library_svx.mk ; then
+        cat >>$header <<EOF
+#ifdef WNT
+#define UNICODE
+#define _UNICODE
+#endif
+
+EOF
+    fi
+
+function local_file()
+(
+    file="$1"
+    echo "$file" | grep -q ^"$module"/ && exit 0
+#    find "$root/$module" -type f | grep -v "$root/$module/inc/" | grep /"$file"'$' && exit 0
+    find "$root/$module" -type f | grep /"$file"'$' -q && exit 0
+    if echo "$file" | grep -F . -q; then
+        find "$root/$module" -type f | grep -q /`echo "$file" | sed 's/\.hxx$/.sdi/'` && exit 0
+    fi
+    # not local
+    exit 1
+)
+
+function filter_ignore()
+(
+# - filter out all files that are not normal headers
+# - gperffasttoken.hxx is not a proper header
+# - sores.hxx provides BMP_PLUGIN, which is redefined
+# - some sources play ugly #define tricks with editeng/eeitemid.hxx
+# - jerror.h and jpeglib.h are not self-contained
+    grep -e '\.h[">]$' -e '\.hpp[">]$' -e '\.hdl[">]$' -e '\.hxx[">]$' -e '^[^\.]*>$' | \
+    grep -v -F -e '#include "gperffasttoken.hxx"' | \
+    grep -v -F -e '#include <svtools/sores.hxx>' | \
+    grep -v -F -e '#include <editeng/eeitemid.hxx>' | \
+    grep -v -F -e '#include "jerror.h"' | \
+    grep -v -F -e '#include "jpeglib.h"'
+)
+
+    # " in #include "foo" breaks echo down below, so " -> @
+    cat $tmpfile | LC_ALL=C sort -u | filter_ignore | sed 's/"/@/g' | \
+        (
+        while read line; do
+            file=`echo $line | sed 's/.*[<"@]\([^>"@]*\)[>"@].*/\1/'`
+            if ! local_file "$file"; then
+                echo $line | sed 's/@/"/g' >>$header
+            fi
+        done
+        )
+
+    cat >>$header <<EOF
+
+/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
+EOF
+
+    rm $tmpfile
+done
+
+#echo Done.
+exit 0
diff --git a/solenv/bin/update_pch.sh b/solenv/bin/update_pch.sh
deleted file mode 100755
index 39569f7..0000000
--- a/solenv/bin/update_pch.sh
+++ /dev/null
@@ -1,162 +0,0 @@
-#! /bin/bash
-#
-# This file is part of the LibreOffice project.
-#
-# This Source Code Form is subject to the terms of the Mozilla Public
-# License, v. 2.0. If a copy of the MPL was not distributed with this
-# file, You can obtain one at http://mozilla.org/MPL/2.0/.
-#
-
-# Usage: update_pch.sh [precompiled_xxx.hxx]
-
-root=`dirname $0`
-root=`cd $root/../.. && pwd`
-
-if test -z "$1"; then
-    headers=`ls $root/*/inc/pch/precompiled_*.hxx`
-else
-    headers="$1"
-fi
-
-for x in $headers; do
-    header=$x
-    echo updating `echo $header | sed -e s%$root/%%`
-    module=`readlink -f $header | sed -e s%$root/%% -e s%/.*%%`
-    name=`echo $header | sed -e s/.*precompiled_// -e s/\.hxx//`
-    makefile="Library_$name.mk"
-
-    tmpfile=`mktemp`
-
-    cat "$root/$module/$makefile" | sed 's#\\$##' | \
-        (
-        inobjects=
-        ifstack=0
-        while read line ; do
-            if test "$line" = "))" ; then
-                inobjects=
-            elif echo $line | grep -q -e add_exception_objects -e add_noexception_objects -e add_cxxobject -e add_cxxobjects ; then
-                inobjects=1
-                if test $ifstack -ne 0 ; then
-                    echo Sources in a conditional, ignoring for now. >&2
-                fi
-            elif echo $line | grep -q ^if ; then
-                ifstack=$((ifstack + 1))
-            elif echo $line | grep -q ^endif ; then
-                ifstack=$((ifstack - 1))
-            elif test -n "$inobjects" -a $ifstack -eq 0; then
-                file=$line
-                if echo $line | grep -q ", "; then
-                    true # $if() probably, or something similar
-                elif ! test -f "$root/$file".cxx ; then
-                    echo No file $file in $module/$makefile >&2
-                else
-
-function list_file_includes()
-(
-    ifdepth=0
-    # filter out only preprocessor lines, get the first and second "words" after the #,
-    # also replace " with @ (would cause trouble when doing echo of the line)
-    cat "$1" | grep '^\s*#' | sed 's/^\s*#/#/' | sed 's/^\(#\w*\s+\w*\)\s+.*/\1/' | sed 's/"/@/g' | \
-        while read line; do
-            # skip everything surrounded by any #if
-            if echo "$line" | grep -q "#if" ; then
-                ifdepth=$((ifdepth + 1))
-                lastif="$line"
-            elif echo "$line" | grep -q "#endif" ; then
-                ifdepth=$((ifdepth - 1))
-                lastif="#if"
-            elif echo "$line" | grep -q "#include"; then
-                if test $ifdepth -eq 0; then
-                    echo $line | sed 's/@/"/g'
-                else
-                    echo "#include in $lastif : $line" | sed 's/@/"/g' >&2
-                fi
-            fi
-        done
-)
-
-                    list_file_includes "$root/$file".cxx | sed 's/\(#include [<@][^>@]*[>@]\).*/\1/' | sed 's#\.\./##g#' >>$tmpfile
-                fi
-            fi
-        done
-        )
-
-    cat >$header <<EOF
-/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
-/*
- * This file is part of the LibreOffice project.
- *
- * This Source Code Form is subject to the terms of the Mozilla Public
- * License, v. 2.0. If a copy of the MPL was not distributed with this
- * file, You can obtain one at http://mozilla.org/MPL/2.0/.
- */
-
-/*
- This file has been autogenerated by update_pch.sh . It is possible to edit it
- manually (such as when an include file has been moved/renamed/removed. All such
- manual changes will be rewritten by the next run of update_pch.sh (which presumably
- also fixes all possible problems, so it's usually better to use it).
-*/
-
-EOF
-
-    # Library_svx needs this (sendreportw32.cxx)
-    if test "$makefile" = Library_svx.mk ; then
-        cat >>$header <<EOF
-#ifdef WNT
-#define UNICODE
-#define _UNICODE
-#endif
-
-EOF
-    fi
-
-function local_file()
-(
-    file="$1"
-    echo "$file" | grep -q ^"$module"/ && exit 0
-#    find "$root/$module" -type f | grep -v "$root/$module/inc/" | grep /"$file"'$' && exit 0
-    find "$root/$module" -type f | grep /"$file"'$' -q && exit 0
-    if echo "$file" | grep -F . -q; then
-        find "$root/$module" -type f | grep -q /`echo "$file" | sed 's/\.hxx$/.sdi/'` && exit 0
-    fi
-    # not local
-    exit 1
-)
-
-function filter_ignore()
-(
-# - filter out all files that are not normal headers
-# - gperffasttoken.hxx is not a proper header
-# - sores.hxx provides BMP_PLUGIN, which is redefined
-# - some sources play ugly #define tricks with editeng/eeitemid.hxx
-# - jerror.h and jpeglib.h are not self-contained
-    grep -e '\.h[">]$' -e '\.hpp[">]$' -e '\.hdl[">]$' -e '\.hxx[">]$' -e '^[^\.]*>$' | \
-    grep -v -F -e '#include "gperffasttoken.hxx"' | \
-    grep -v -F -e '#include <svtools/sores.hxx>' | \
-    grep -v -F -e '#include <editeng/eeitemid.hxx>' | \
-    grep -v -F -e '#include "jerror.h"' | \
-    grep -v -F -e '#include "jpeglib.h"'
-)
-
-    # " in #include "foo" breaks echo down below, so " -> @
-    cat $tmpfile | LC_ALL=C sort -u | filter_ignore | sed 's/"/@/g' | \
-        (
-        while read line; do
-            file=`echo $line | sed 's/.*[<"@]\([^>"@]*\)[>"@].*/\1/'`
-            if ! local_file "$file"; then
-                echo $line | sed 's/@/"/g' >>$header
-            fi
-        done
-        )
-
-    cat >>$header <<EOF
-
-/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
-EOF
-
-    rm $tmpfile
-done
-
-#echo Done.
-exit 0
commit 1fda1581d8ff8e85a4fa0e73e5147fd6798895e9
Author: Peter Foley <pefoley2 at verizon.net>
Date:   Fri Mar 15 19:35:25 2013 -0400

    suppress auto_ptr warnings
    
    Change-Id: I2486a2d0647e425e7607b0a7a56ea3bf130ed0e2

diff --git a/svx/inc/svx/AccessibleTextHelper.hxx b/svx/inc/svx/AccessibleTextHelper.hxx
index 9d46896..c930af0 100644
--- a/svx/inc/svx/AccessibleTextHelper.hxx
+++ b/svx/inc/svx/AccessibleTextHelper.hxx
@@ -124,7 +124,9 @@ namespace accessibility
             model) contained in the given SvxEditSource.
 
         */
+        SAL_WNODEPRECATED_DECLARATIONS_PUSH
         explicit AccessibleTextHelper( ::std::auto_ptr< SvxEditSource > pEditSource );
+        SAL_WNODEPRECATED_DECLARATIONS_POP
         virtual ~AccessibleTextHelper();
 
     protected:
@@ -185,7 +187,9 @@ namespace accessibility
             The new edit source to set. Object ownership is transferred
             from the caller to the callee.
         */
+        SAL_WNODEPRECATED_DECLARATIONS_PUSH
         virtual void SetEditSource( ::std::auto_ptr< SvxEditSource > pEditSource ) SAL_THROW((::com::sun::star::uno::RuntimeException));
+        SAL_WNODEPRECATED_DECLARATIONS_POP
 
         /** Set the event source
 
diff --git a/svx/source/accessibility/AccessibleEmptyEditSource.hxx b/svx/source/accessibility/AccessibleEmptyEditSource.hxx
index 89d71dd..3e1052b 100644
--- a/svx/source/accessibility/AccessibleEmptyEditSource.hxx
+++ b/svx/source/accessibility/AccessibleEmptyEditSource.hxx
@@ -77,7 +77,9 @@ namespace accessibility
 
             @dyn
          */
+        SAL_WNODEPRECATED_DECLARATIONS_PUSH
         std::auto_ptr< SvxEditSource >  mpEditSource;
+        SAL_WNODEPRECATED_DECLARATIONS_POP
 
         SdrObject&                      mrObj;
         SdrView&                        mrView;
diff --git a/svx/source/table/accessiblecell.cxx b/svx/source/table/accessiblecell.cxx
index 4d28f53..43249d9 100644
--- a/svx/source/table/accessiblecell.cxx
+++ b/svx/source/table/accessiblecell.cxx
@@ -82,7 +82,9 @@ void AccessibleCell::Init (void)
         if( pOutlinerParaObject )
         {
             // non-empty text -> use full-fledged edit source right away
+            SAL_WNODEPRECATED_DECLARATIONS_PUSH
             ::std::auto_ptr<SvxEditSource> pEditSource( new SvxTextEditSource( mxCell->GetObject(), mxCell.get(), *pView, *pWindow) );
+            SAL_WNODEPRECATED_DECLARATIONS_POP
             mpText = new AccessibleTextHelper( pEditSource );
             mpText->SetEventSource(this);
         }


More information about the Libreoffice-commits mailing list